slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetFromOptions

Sets SVD options from the options database. This routine must be called before SVDSetUp() if the user is to be allowed to set the solver type.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetFromOptions(SVD svd)

Collective

### Input Parameters

| svd | - the singular value solver context

### Notes

To see all options, run your program with the -help option.

### See Also

SVDSetOptionsPrefix()

### Level

beginner

### Location

src/svd/interface/svdopts.c

### Examples

src/svd/tutorials/ex8.c
src/svd/tutorials/ex14.c
src/svd/tutorials/ex15.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex45.c
src/svd/tutorials/ex48.c
src/svd/tutorials/ex51.c
src/svd/tutorials/ex52.c
src/svd/tutorials/ex53.c
src/svd/tutorials/cnetwork/embedgsvd.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages